Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
metrics
/
policies
List metric source query policies
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/metrics/policies \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "items": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "action_variant": "<string>",
        "metric_source_query_id": "<string>",
        "mode": "discover",
        "version": "<string>",
        "applied_version": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "selector": {},
        "max_series": 123,
        "deleted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "count": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Query Parameters

take
integer
Required range: 1 <= x <= 50
skip
integer
Required range: x >= 0
search
field
string
value
string
op
Available options:
eq
count_only
boolean
action_variant
string
metric_source_query_id
string
Pattern: ^[0-9]+$
mode
Available options:
discover

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required